# Class TCEFWinControl

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFWinControl

## Declaration

`type TCEFWinControl = class(TWinControl)`

## Description

Custom TWinControl used by CEF browsers.

## Hierarchy

- TWinControl
- TCEFWinControl

## Overview

### Methods

| `function GetChildWindowHandle: THandle; virtual;`
| `procedure Resize; override;`
| `function TakeSnapshot(var aBitmap : TBitmap) : boolean;`
| `function DestroyChildWindow: boolean;`
| `procedure CreateHandle; override;`
| `procedure InvalidateChildren;`
| `procedure UpdateSize; virtual;`

### Properties

| `property ChildWindowHandle : THandle read GetChildWindowHandle;`
| `property Align;`
| `property Anchors;`
| `property Color;`
| `property Constraints;`
| `property TabStop;`
| `property TabOrder;`
| `property Visible;`
| `property Enabled;`
| `property ShowHint;`
| `property Hint;`
| `property DragKind;`
| `property DragCursor;`
| `property DragMode;`
| `property OnResize;`
| `property OnEnter;`
| `property OnExit;`
| `property OnDragDrop;`
| `property OnDragOver;`
| `property OnStartDrag;`
| `property OnEndDrag;`
| `property DoubleBuffered;`

## Description

### Methods

| `function GetChildWindowHandle: THandle; virtual;`
This item has no description.

| `procedure Resize; override;`
This item has no description.

| `function TakeSnapshot(var aBitmap : TBitmap) : boolean;`
Take a snapshot of the browser contents into aBitmap. This function only works in Windows without hardware acceleration.

| `function DestroyChildWindow: boolean;`
Destroy the child windows created by the browser.

| `procedure CreateHandle; override;`
Exposes the CreateHandle procedure to create the Handle at any time.

| `procedure InvalidateChildren;`
Invalidate the child windows created by the browser.

| `procedure UpdateSize; virtual;`
Updates the size of the child windows created by the browser.

### Properties

| `property ChildWindowHandle : THandle read GetChildWindowHandle;`
Handle of the first child window created by the browser.

| `property Align;`
This item has no description.

| `property Anchors;`
This item has no description.

| `property Color;`
This item has no description.

| `property Constraints;`
This item has no description.

| `property TabStop;`
This item has no description.

| `property TabOrder;`
This item has no description.

| `property Visible;`
This item has no description.

| `property Enabled;`
This item has no description.

| `property ShowHint;`
This item has no description.

| `property Hint;`
This item has no description.

| `property DragKind;`
This item has no description.

| `property DragCursor;`
This item has no description.

| `property DragMode;`
This item has no description.

| `property OnResize;`
This item has no description.

| `property OnEnter;`
This item has no description.

| `property OnExit;`
This item has no description.

| `property OnDragDrop;`
This item has no description.

| `property OnDragOver;`
This item has no description.

| `property OnStartDrag;`
This item has no description.

| `property OnEndDrag;`
This item has no description.

| `property DoubleBuffered;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.